Package org.apache.synapse.transport.http.conn

# Class LoggingNHttpServerConnection

java.lang.Object
org.apache.http.impl.nio.NHttpConnectionBase
org.apache.http.impl.nio.DefaultNHttpServerConnection
org.apache.synapse.transport.http.conn.LoggingNHttpServerConnection

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.http.HttpConnection`, `org.apache.http.HttpInetConnection`, `org.apache.http.nio.IOControl`, `org.apache.http.nio.NHttpConnection`, `org.apache.http.nio.NHttpServerConnection`, `org.apache.http.nio.NHttpServerIOTarget`, `org.apache.http.nio.reactor.SessionBufferStatus`, `org.apache.http.nio.reactor.SocketAccessor`, `UpgradableNHttpConnection`

public class LoggingNHttpServerConnection extends org.apache.http.impl.nio.DefaultNHttpServerConnection implements UpgradableNHttpConnection

- ## Field Summary

  ### Fields inherited from class org.apache.http.impl.nio.DefaultNHttpServerConnection

  `requestParser, responseWriter`

  ### Fields inherited from class org.apache.http.impl.nio.NHttpConnectionBase

  `connMetrics, contentDecoder, contentEncoder, context, hasBufferedInput, hasBufferedOutput, inbuf, incomingContentStrategy, inTransportMetrics, outbuf, outgoingContentStrategy, outTransportMetrics, remote, request, response, session, status`

  ### Fields inherited from interface org.apache.http.nio.NHttpConnection

  `ACTIVE, CLOSED, CLOSING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingNHttpServerConnection(org.apache.http.nio.reactor.IOSession session, org.apache.http.HttpRequestFactory requestFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, org.apache.http.params.HttpParams params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bind(org.apache.http.nio.reactor.IOSession session)`
  `void`
  `close()`
  `void`
  `consumeInput(org.apache.http.nio.NHttpServerEventHandler handler)`
  `protected org.apache.http.nio.NHttpMessageParser<org.apache.http.HttpRequest>`
  `createRequestParser(org.apache.http.nio.reactor.SessionInputBuffer buffer, org.apache.http.HttpRequestFactory requestFactory, org.apache.http.params.HttpParams params)`
  `protected org.apache.http.nio.NHttpMessageWriter<org.apache.http.HttpResponse>`
  `createResponseWriter(org.apache.http.nio.reactor.SessionOutputBuffer buffer, org.apache.http.params.HttpParams params)`
  `org.apache.http.nio.reactor.IOSession`
  `getIOSession()`
  `void`
  `produceOutput(org.apache.http.nio.NHttpServerEventHandler handler)`
  `void`
  `shutdown()`
  `void`
  `submitResponse(org.apache.http.HttpResponse response)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.http.impl.nio.DefaultNHttpServerConnection

  `consumeInput, createIncomingContentStrategy, isResponseSubmitted, onRequestReceived, onResponseSubmitted, produceOutput, resetInput, resetOutput`

  ### Methods inherited from class org.apache.http.impl.nio.NHttpConnectionBase

  `assertNotClosed, createConnectionMetrics, createContentDecoder, createContentEncoder, createOutgoingContentStrategy, createTransportMetrics, getContext, getHttpRequest, getHttpResponse, getLocalAddress, getLocalPort, getMetrics, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, getStatus, hasBufferedInput, hasBufferedOutput, isOpen, isStale, prepareDecoder, prepareEncoder, requestInput, requestOutput, setSocketTimeout, suspendInput, suspendOutput`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.http.HttpConnection

  `getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout`

  ### Methods inherited from interface org.apache.http.nio.IOControl

  `requestInput, requestOutput, suspendInput, suspendOutput`

  ### Methods inherited from interface org.apache.http.nio.NHttpConnection

  `getContext, getHttpRequest, getHttpResponse, getStatus`

- ## Constructor Details

  - ### LoggingNHttpServerConnection

    public LoggingNHttpServerConnection(org.apache.http.nio.reactor.IOSession session, org.apache.http.HttpRequestFactory requestFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, org.apache.http.params.HttpParams params)

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in interface `org.apache.http.HttpConnection`
    Overrides:
      `close` in class `org.apache.http.impl.nio.NHttpConnectionBase`
    Throws:
      `IOException`

  - ### shutdown

    public void shutdown() throws IOException
    Specified by:
      `shutdown` in interface `org.apache.http.HttpConnection`
    Specified by:
      `shutdown` in interface `org.apache.http.nio.IOControl`
    Overrides:
      `shutdown` in class `org.apache.http.impl.nio.NHttpConnectionBase`
    Throws:
      `IOException`

  - ### submitResponse

    public void submitResponse(org.apache.http.HttpResponse response) throws IOException, org.apache.http.HttpException
    Specified by:
      `submitResponse` in interface `org.apache.http.nio.NHttpServerConnection`
    Overrides:
      `submitResponse` in class `org.apache.http.impl.nio.DefaultNHttpServerConnection`
    Throws:
      `IOException`
      `org.apache.http.HttpException`

  - ### consumeInput

    public void consumeInput(org.apache.http.nio.NHttpServerEventHandler handler)
    Overrides:
      `consumeInput` in class `org.apache.http.impl.nio.DefaultNHttpServerConnection`

  - ### produceOutput

    public void produceOutput(org.apache.http.nio.NHttpServerEventHandler handler)
    Overrides:
      `produceOutput` in class `org.apache.http.impl.nio.DefaultNHttpServerConnection`

  - ### createResponseWriter

    protected org.apache.http.nio.NHttpMessageWriter<org.apache.http.HttpResponse> createResponseWriter(org.apache.http.nio.reactor.SessionOutputBuffer buffer, org.apache.http.params.HttpParams params)
    Overrides:
      `createResponseWriter` in class `org.apache.http.impl.nio.DefaultNHttpServerConnection`

  - ### createRequestParser

    protected org.apache.http.nio.NHttpMessageParser<org.apache.http.HttpRequest> createRequestParser(org.apache.http.nio.reactor.SessionInputBuffer buffer, org.apache.http.HttpRequestFactory requestFactory, org.apache.http.params.HttpParams params)
    Overrides:
      `createRequestParser` in class `org.apache.http.impl.nio.DefaultNHttpServerConnection`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `org.apache.http.impl.nio.NHttpConnectionBase`

  - ### getIOSession

    public org.apache.http.nio.reactor.IOSession getIOSession()
    Specified by:
      `getIOSession` in interface `UpgradableNHttpConnection`

  - ### bind

    public void bind(org.apache.http.nio.reactor.IOSession session)
    Specified by:
      `bind` in interface `UpgradableNHttpConnection`
    Overrides:
      `bind` in class `org.apache.http.impl.nio.NHttpConnectionBase`